Skip to main content
Junction offers multiple Tiers of phlebotomy services, with different coverage capabilities:
  • Appointment Ready: An appointment is booked in Junction using the patient’s address and the appointment’s date time. The scheduling is completely synchronous and fully controlled by Junction’s customers through our API.
  • Appointment Request: An appointment is requested through Junction system using the patient’s address. A phlebotomist will eventually assign themselves to the appointment and define the appointment’s date time with the patient.
The following Providers are available for each Tier:
GetlabsPhlebfinders (Beta)
Appointment ReadyX
Appointment RequestX
appointment-request appointments will start in the pending status, and won’t have any time or date information.

High Level flow for Appointment Scheduling


The recommend high level flow for selecting an appointment at Junction is:
  • Place an At-Home Phlebotomy order with the POST /v3/order endpoint.
  • Wait for the Requisition Ready status updates through our Webhooks.
  • Fetch Provider data via the GET /v3/order/area/info endpoint, the response payload should look like this:
{
  "zip_code": "85004",
  "phlebotomy": {
    "is_served": true,
		"providers": [
    {
      "name": "getlabs",
      "tier": ["appointment-ready"]
    },
    {
      "name": "phlebfinders",
      "tier": ["appointment-request"]
    }
    ]
  }
}